Package org.apache.sysds.runtime.compress.utils

## Class DblArray

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.DblArray

    public class DblArray
    extends Object

Helper class used for bitmap extraction.

### Constructor Summary

Constructors
`DblArray()`
`DblArray​(double[] arr)`
`DblArray​(DblArray that)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)`
`boolean` `equals​(DblArray that)`
`double[]` `getData()`
`int` `hashCode()`
`boolean` `isEmpty()`
`void` `resetHash()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DblArray

    public DblArray()

#### DblArray

    public DblArray​(double[] arr)

#### DblArray

    public DblArray​(DblArray that)

### Method Detail

#### getData

    public double[] getData()

#### resetHash

    public void resetHash()

#### isEmpty

    public boolean isEmpty()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(DblArray that)

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`